//: C08:RTTIandNesting.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <iostream>
#include <typeinfo>
using namespace std;

class Jedna {
  class Vnorena {};
  Vnorena* n;
public:
  Jedna() : n(new Vnorena) {}
  ~Jedna() { delete n; }
  Vnorena* vnorena() { return n; }
};

int main() {
  Jedna o;
  cout << typeid(*o.vnorena()).name() << endl;
} ///:~
